Package ru.bitel.bgbilling.modules.voice.common.bean

# Enum VoiceSessionDetailOrder.EmailSend

java.lang.Object
java.lang.Enum<VoiceSessionDetailOrder.EmailSend>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceSessionDetailOrder.EmailSend

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<VoiceSessionDetailOrder.EmailSend>`, `java.lang.constant.Constable`

Enclosing class:
  VoiceSessionDetailOrder

    public static enum VoiceSessionDetailOrder.EmailSend
    extends java.lang.Enum<VoiceSessionDetailOrder.EmailSend>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `NONE` |
  `NOTIFICATION` |
  `REPORT` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static VoiceSessionDetailOrder.EmailSend` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static VoiceSessionDetailOrder.EmailSend[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final VoiceSessionDetailOrder.EmailSend NONE

  - ### NOTIFICATION

    public static final VoiceSessionDetailOrder.EmailSend NOTIFICATION

  - ### REPORT

    public static final VoiceSessionDetailOrder.EmailSend REPORT

- ## Method Details

  - ### values

    public static VoiceSessionDetailOrder.EmailSend[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static VoiceSessionDetailOrder.EmailSend valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null